Skip to main content
GET
/
swappable_tokens
Get bridgable tokens
curl --request GET \
  --url https://trade-api.gateway.uniswap.org/v1/swappable_tokens \
  --header 'x-api-key: <api-key>'
{
  "requestId": "cL_1ih66iYcEJ2g=",
  "tokens": [
    {
      "name": "USD Coin",
      "symbol": "USDC",
      "address": "0x0b2C639c533813f4Aa9D7837CAf62653d097Ff85",
      "chainId": 10,
      "project": {
        "logo": {
          "url": "https://coin-images.coingecko.com/coins/images/6319/large/USDC.png?1769615602"
        },
        "safetyLevel": "VERIFIED",
        "isSpam": false
      },
      "decimals": 6
    },
    {
      "name": "Bridged USDC",
      "symbol": "USDC.e",
      "address": "0x7F5c764cBc14f9669B88837ca1490cCa17c31607",
      "chainId": 10,
      "project": {
        "logo": {
          "url": "https://coin-images.coingecko.com/coins/images/31580/large/USDC-icon.png?1696530397"
        },
        "safetyLevel": "VERIFIED",
        "isSpam": false
      },
      "decimals": 6
    },
    {
      "name": "USD Coin",
      "symbol": "USDC",
      "address": "0x3c499c542cEF5E3811e1192ce70d8cC03d5c3359",
      "chainId": 137,
      "project": {
        "logo": {
          "url": "https://coin-images.coingecko.com/coins/images/6319/large/USDC.png?1769615602"
        },
        "safetyLevel": "VERIFIED",
        "isSpam": false
      },
      "decimals": 6
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://api-docs.uniswap.org/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Query Parameters

tokenIn
string
required
Pattern: ^(0x)?[0-9a-fA-F]{40}$
tokenInChainId
enum<number>
default:1
required

The unique ID of the blockchain. For a list of supported chains see the FAQ.

Available options:
1,
10,
56,
130,
137,
143,
196,
324,
480,
1868,
4217,
8453,
10143,
42161,
42220,
43114,
59144,
81457,
7777777,
1301,
84532,
11155111

Response

Get swappable tokens successful.

requestId
string
required

A unique ID for the request.

tokens
object[]
required